WordPress.org

Ready to get started?Download WordPress

Forums

Subscribe2
[resolved] JQuery.ui.dialog error (6 posts)

  1. xl32
    Member
    Posted 1 year ago #

    Ajax is fully broken on my tourist blog with Subscribe2 enabled after upgrade to WP 3.5. There are a lot of errors in Firefox console caused by jquery UI dialog:

    TypeError: e is undefined
    ...eturn t?u.length:u?nt.error(e):L(e,a).slice(0)}function at(e,t,r){var i=t.dir,s=...

    jquery...r=1.8.3 (строка 2)

    TypeError: e is undefined
    ...eturn t?u.length:u?nt.error(e):L(e,a).slice(0)}function at(e,t,r){var i=t.dir,s=...

    jquery...r=1.8.3 (строка 2)

    TypeError: e is undefined
    ...eturn t?u.length:u?nt.error(e):L(e,a).slice(0)}function at(e,t,r){var i=t.dir,s=...

    jquery...r=1.8.3 (строка 2)

    TypeError: e(...).uniqueId is not a function
    ...top:function(i,s){n.position=[s.position.left-t.document.scrollLeft(),s.position...

    Small note: I disabled javascript in widget, but js is still in the code, jquery.ui.dialog is still included and causing these errors.

    http://wordpress.org/extend/plugins/subscribe2/

  2. mikeotgaar
    Member
    Posted 1 year ago #

    TypeError: e is undefined

    This looks like a bug in WP3.5 core - possibly related to wp_enqueue method
    I'm getting problems with themes and several plugins (not only subscribe2) after upgrading to 3.5. Have had to start reverting client sites back to 3.4.2
    Hopefully the WP core developer team will fix it soon

  3. xl32
    Member
    Posted 1 year ago #

    Major bug here is I disabled JavaScript in the widget, but Subscribe2 continues to enqueue ui.dialog :-(

  4. mattyrob
    Member
    Plugin Contributor

    Posted 1 year ago #

    @xl32,

    Subscribe2 includes the jQuery dialog code if you have enabled AJAX in the Subscribe2->Settings page. Try disabling it there and your errors should disappear.

  5. xl32
    Member
    Posted 1 year ago #

    @mattyrob, thank you!

    Missed this option.
    So this is a bug in WP 3.5?

  6. mattyrob
    Member
    Plugin Contributor

    Posted 1 year ago #

    @xl32,

    I can't find any bugs listed in the WordPress core trac and more interestingly I have a WordPress 3.5 site that can use Subscribe2 with AJAX enable without throwing any errors at all.

    Add to this that the code snippets made in the original post don't look like the Subscribe2 code so I suspect it's another plugin or a jQuery conflict.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic